List Load Balancers
A GET request to the /v1/load_balancers endpoint shows a list of Load Balancers.
Authorization
bearerAuth In: header
Query Parameters
| Field | Details |
|---|---|
search_pattern? | stringThis pattern is used to return resources containing the parameter value in its name. |
label_selector? | stringThis parameter will filter results by labels. More details in the Labels section. |
location_id? | integerMin: A unique identifier of a location. A request to list IDs is described in the Location block. |
cluster_id? | stringA unique identifier of a dedicated Load Balancer cluster. |
type? | stringValue in: This parameter selects an L4 or L7 balancer to return in an output. |
network_type? | stringValue in: This parameter selects a public or private balancer to return in an output. |
per_page? | integerDefault: Range: 1–100 The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown. |
page? | integerDefault: Min: The number of a page (>= 1) that will be returned. By default, it's 1. |
sorting? | stringValue in: Default: This parameter sorts items. By default, it's |
direction? | stringValue in: Default: This parameter defines if items are sorted in an ascending |
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/load_balancers"[ { "id": "YQdJ2dOG", "name": "name1497", "type": "l7", "status": "pending", "network_type": "public", "external_addresses": [], "internal_addresses": [], "location_id": 1569, "location_code": "location3242", "labels": { "environment": "production", "service": "my-web-app", "example.com/project": "my-project", "example.com/owner": "my-team" }, "cluster_id": null, "created_at": "2025-12-31T00:00:00Z", "updated_at": "2025-12-31T00:00:00Z" }, { "id": "y1aKReQG", "name": "name1498", "type": "l7", "status": "pending", "network_type": "public", "external_addresses": [ "101.0.0.19" ], "internal_addresses": [], "location_id": 1569, "location_code": "location3242", "labels": { "environment": "production", "service": "my-web-app", "example.com/project": "my-project", "example.com/owner": "my-team" }, "cluster_id": null, "created_at": "2025-12-31T00:00:00Z", "updated_at": "2025-12-31T00:00:00Z" }, { "id": "9wdLwbjP", "name": "name1499", "type": "l7", "status": "pending", "network_type": "public", "external_addresses": [], "internal_addresses": [], "location_id": 1569, "location_code": "location3242", "labels": { "environment": "production", "service": "my-web-app", "example.com/project": "my-project", "example.com/owner": "my-team" }, "cluster_id": null, "created_at": "2025-12-31T00:00:00Z", "updated_at": "2025-12-31T00:00:00Z" }]